# Tätigkeit erstellen

`POST https://{tenant}.stamp.eu/rest/work_activities`

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | ja |
| `code` | string \| null | nein |
| `description` | string \| null | nein |
| `color` | string | nein |
| `booking_mode` | `session`, `day` | nein |
| `requires_project` | boolean | nein |
| `active` | boolean | nein |
| `sort_order` | integer | nein |
| `unit_ids` | string[] | nein |

## Antworten

### 201: `WorkActivityResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.name` | string | ja |
| `data.code` | string | ja |
| `data.description` | string | ja |
| `data.color` | string | ja |
| `data.booking_mode` | string | ja |
| `data.requires_project` | string | ja |
| `data.active` | string | ja |
| `data.sort_order` | string | ja |
| `data.unit_ids` | object | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
